=== tests/auto/quick3d/qquick3dcustomcamera/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qquick3dcustomcamera.pro.

#####################################################################
## qquick3dcustomcamera Test:
#####################################################################

qt_internal_add_test(tst_qquick3dcustomcamera
    SOURCES
        tst_qquick3dcustomcamera.cpp
    LIBRARIES
        Qt::Quick3DPrivate
        Qt::Quick3DRuntimeRenderPrivate
)

#### Keys ignored in scope 1:.:.:qquick3dcustomcamera.pro:<TRUE>:
# TEMPLATE = "app"
