=== tests/auto/quick3d/qquick3dmodel/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qquick3dmodel.pro.

#####################################################################
## qquick3dmodel Test:
#####################################################################

qt_internal_add_test(tst_qquick3dmodel
    SOURCES
        tst_qquick3dmodel.cpp
    LIBRARIES
        Qt::Quick3DPrivate
        Qt::Quick3DRuntimeRenderPrivate
)

#### Keys ignored in scope 1:.:.:qquick3dmodel.pro:<TRUE>:
# TEMPLATE = "app"
