=== tests/auto/quick3d/qquick3dnode/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from qquick3dnode.pro.

#####################################################################
## qquick3dnode Test:
#####################################################################

qt_internal_add_test(tst_qquick3dnode
    SOURCES
        tst_qquick3dnode.cpp
    LIBRARIES
        Qt::Quick3DPrivate
        Qt::Quick3DRuntimeRenderPrivate
)

#### Keys ignored in scope 1:.:.:qquick3dnode.pro:<TRUE>:
# TEMPLATE = "app"
