## qt6-quick3d 6.6.2

=== debian/changelog ===
qt6-quick3d (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:31:58 +0200

qt6-quick3d (6.6.2-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Fix typo in symbols file.
  * Mark more symbols as optional, they are gcc internal stuff.

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.
  * Update ABI to 6.6.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 17 Feb 2024 13:36:38 +0100

qt6-quick3d (6.6.1-4) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 09 Jan 2024 18:16:57 +0100

qt6-quick3d (6.6.1-3) experimental; urgency=medium

  * Team upload.
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 31 Dec 2023 12:14:58 -0300

qt6-quick3d (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Dec 2023 10:12:36 +0100

qt6-quick3d (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * Update list of installed files and new binary package qml6-module-
    qtquick3d-materialeditor.
  * Update symbols from buildlogs.
  * Rename QML modules.
  * Update d/copyright.
  * Package the private headers.
  * Remove multiple binary packages.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Dec 2023 22:35:23 +0100
