## qt6-quick3d 6.7.2

=== debian/changelog ===
qt6-quick3d (6.7.2-5+rpi1) trixie-staging; urgency=medium

  * Force C.UTF-8 locale.

 -- Peter Michael Green <plugwash@raspbian.org>  Thu, 14 Nov 2024 15:43:25 +0000

qt6-quick3d (6.7.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Sun, 03 Nov 2024 12:11:04 +0100

qt6-quick3d (6.7.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Add qt6-shadertools-dev as a dependency to qt6-quick3d-dev.
  * Enable dh_qmldeps for the QML modules.

 -- Patrick Franz <deltaone@debian.org>  Sun, 03 Nov 2024 11:52:33 +0100

qt6-quick3d (6.7.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:55:59 +0200

qt6-quick3d (6.7.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Fix handling of private symbols.

 -- Patrick Franz <deltaone@debian.org>  Sun, 08 Sep 2024 15:20:00 +0200

qt6-quick3d (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Update list of installed files.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 01 Sep 2024 20:19:36 +0200
