=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
+               dh-sequence-qmldeps,
                libassimp-dev (>= 5.1.6~),
                libgl-dev,
                libssl-dev,
@@ -14,24 +15,24 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
                qt6-quick3d-dev:native <cross>,
-               qt6-quicktimeline-dev (>= 6.6.2~),
-               qt6-shadertools-dev (>= 6.6.2~),
+               qt6-quicktimeline-dev (>= 6.7.2~),
+               qt6-shadertools-dev (>= 6.7.2~),
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d.git
 Rules-Requires-Root: no
 
 Package: libqt6quick3d6
-Provides: qt6-quick3d-private-abi (= 6.6.2),
+Provides: qt6-quick3d-private-abi (= 6.7.2),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -124,7 +125,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: qml6-module-quick3d,
 Replaces: qml6-module-quick3d,
 Provides: qml6-module-quick3d (= ${binary:Version}),
@@ -138,7 +139,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: qml6-module-quick3d-assetutils,
 Replaces: qml6-module-quick3d-assetutils,
 Provides: qml6-module-quick3d-assetutils (= ${binary:Version}),
@@ -152,7 +153,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3deffects6, qml6-module-quick3d-effects,
 Replaces: libqt6quick3deffects6, qml6-module-quick3d-effects,
 Provides: qml6-module-quick3d-effects (= ${binary:Version}),
@@ -166,7 +167,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
 Replaces: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
 Provides: qml6-module-quick3d-helpers (= ${binary:Version}),
@@ -180,7 +181,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick 3D Material Editor QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -191,7 +192,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
 Replaces: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
 Provides: qml6-module-quick3d-particleeffects (= ${binary:Version}),
@@ -205,7 +206,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
 Replaces: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
 Provides: libqt6quick3dparticles6 (= ${binary:Version}),
@@ -241,12 +242,14 @@
          qml6-module-qtquick3d-assetutils (= ${binary:Version}),
          qml6-module-qtquick3d-effects (= ${binary:Version}),
          qml6-module-qtquick3d-helpers (= ${binary:Version}),
+         qml6-module-qtquick3d-materialeditor (= ${binary:Version}),
          qml6-module-qtquick3d-particleeffects (= ${binary:Version}),
          qml6-module-qtquick3d-particles3d (= ${binary:Version}),
          qt6-base-dev,
          qt6-qmltooling-quick3dprofiler-plugin (= ${binary:Version}),
          qt6-quick3d-assetimporters-plugin (= ${binary:Version}),
          qt6-quick3d-dev-tools (= ${binary:Version}),
+         qt6-shadertools-dev,
          ${misc:Depends},
 Description: Qt 6 Quick 3D - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -299,7 +302,3 @@
 Section: doc
 Depends: qt6-base-doc-html, ${misc:Depends},
 Multi-Arch: foreign
-Description: Qt 6 Quick 3D HTML documentation
- Qt is a cross-platform C++ application framework. Qt's primary feature
- is its rich set of widgets that provide standard GUI functionality.
- .
