=== debian/control ===
--- 
+++ 
@@ -6,25 +6,25 @@
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                dh-exec,
-               dh-sequence-qmldeps,
                libassimp-dev (>= 5.1.6~),
                libgl-dev,
+               libxcb-glx0-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                libxcb-xkb-dev,
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
                qt6-quick3d-dev:native <cross>,
-               qt6-quicktimeline-dev (>= 6.7.2~),
-               qt6-shadertools-dev (>= 6.7.2~),
+               qt6-quicktimeline-dev (>= 6.8.0~),
+               qt6-shadertools-dev (>= 6.8.0~),
                zlib1g-dev,
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-quick3d
@@ -32,7 +32,7 @@
 Rules-Requires-Root: no
 
 Package: libqt6quick3d6
-Provides: qt6-quick3d-private-abi (= 6.7.2),
+Provides: qt6-quick3d-private-abi (= 6.8.0),
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
@@ -125,7 +125,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: qml6-module-quick3d,
 Replaces: qml6-module-quick3d,
 Provides: qml6-module-quick3d (= ${binary:Version}),
@@ -139,7 +139,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: qml6-module-quick3d-assetutils,
 Replaces: qml6-module-quick3d-assetutils,
 Provides: qml6-module-quick3d-assetutils (= ${binary:Version}),
@@ -153,7 +153,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3deffects6, qml6-module-quick3d-effects,
 Replaces: libqt6quick3deffects6, qml6-module-quick3d-effects,
 Provides: qml6-module-quick3d-effects (= ${binary:Version}),
@@ -167,7 +167,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
 Replaces: libqt6quick3dhelpers6, qml6-module-quick3d-helpers,
 Provides: qml6-module-quick3d-helpers (= ${binary:Version}),
@@ -181,7 +181,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: Qt 6 Quick 3D Material Editor QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -192,7 +192,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
 Replaces: libqt6quick3dparticleeffects6, qml6-module-quick3d-particleeffects,
 Provides: qml6-module-quick3d-particleeffects (= ${binary:Version}),
@@ -206,7 +206,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Breaks: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
 Replaces: libqt6quick3dparticles6, qml6-module-quick3d-particles3d,
 Provides: libqt6quick3dparticles6 (= ${binary:Version}),
@@ -242,14 +242,12 @@
          qml6-module-qtquick3d-assetutils (= ${binary:Version}),
          qml6-module-qtquick3d-effects (= ${binary:Version}),
          qml6-module-qtquick3d-helpers (= ${binary:Version}),
-         qml6-module-qtquick3d-materialeditor (= ${binary:Version}),
          qml6-module-qtquick3d-particleeffects (= ${binary:Version}),
          qml6-module-qtquick3d-particles3d (= ${binary:Version}),
          qt6-base-dev,
          qt6-qmltooling-quick3dprofiler-plugin (= ${binary:Version}),
          qt6-quick3d-assetimporters-plugin (= ${binary:Version}),
          qt6-quick3d-dev-tools (= ${binary:Version}),
-         qt6-shadertools-dev,
          ${misc:Depends},
 Description: Qt 6 Quick 3D - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
@@ -302,3 +300,7 @@
 Section: doc
 Depends: qt6-base-doc-html, ${misc:Depends},
 Multi-Arch: foreign
+Description: Qt 6 Quick 3D HTML documentation
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
