=== debian/rules ===
--- 
+++ 
@@ -1,12 +1,15 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE = 1
-
-export LC_ALL=C.UTF-8
 
 # Use already defined DEB_HOST_* variables.
 include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto
+
+
+cmake_extra_args += \
+        -DFEATURE_quick3dxr_openxr:BOOL=OFF \
+        -DFEATURE_system_openxr:BOOL=OFF
 
 # QT_HOST_PATH isn't passed in cross-builds
 ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
@@ -15,6 +18,8 @@
 		-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/$(DEB_BUILD_MULTIARCH)/cmake \
 		-DQT_BUILD_TOOLS_WHEN_CROSSCOMPILING=ON
 endif
+
+
 
 %:
 	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
@@ -31,8 +36,8 @@
 override_dh_auto_install-indep:
 	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
 	# Remove build path from index files.
-	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
-		sed -i 's@$(CURDIR)/@@g' {} \;
+#	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
+#		sed -i 's@$(CURDIR)/@@g' {} \;
 
 execute_after_dh_auto_install-arch:
 	# Reproducible builds: remove build paths from .prl files
